.social a {
	padding-left: 3px;
	text-align: left;
	float: left;
}

.social img {
	margin: 0;
	padding-top: 3px;
	float: left;
}

.social ul li {
	margin: 0px;
	display: inline-block;
}

.social ul li a {
	margin: 0px;
	display: block;
	background: url('img.png') 0 0 no-repeat;
	width: 32px;
	height: 32px;
}

.social li a.comment		{	background-position: 0px 0px;		}
.social li a.comment:hover	{	background-position: 0px -32px;		}
.social li a.gplus			{	background-position: -32px 0px;		}
.social li a.gplus:hover	{	background-position: -32px -32px;	}
.social li a.facebook		{	background-position: -64px 0px;		}
.social li a.facebook:hover	{	background-position: -64px -32px;	}
.social li a.twitter		{	background-position: -96px 0px;		}
.social li a.twitter:hover	{	background-position: -96px -32px;	}
.social li a.linkedin		{	background-position: -128px 0px;	}
.social li a.linkedin:hover {	background-position: -128px -32px;	}

.social ul li a span {
	z-index: 9999;
	color: white;
	font-size: 10px;
	
	position: absolute;
	padding: 6px;
	margin-top: 26px;
	margin-left: -6px;
	background:rgba(0,0,0,.9);
	opacity: 0;
	/*transform*/
	-webkit-transform: scale(0) rotateZ(-12deg);
	   -moz-transform: scale(0) rotate(-12deg);
		-ms-transform: scale(0) rotateZ(-12deg);
		 -o-transform: scale(0) rotate(-12deg);
			transform: scale(0) rotateZ(-12deg);
	/*transition*/
	-webkit-transition: all .25s;
	   -moz-transition: all .25s;
		-ms-transition: all .25s;
		 -o-transition: all .25s;
			transition: all .25s;
	/*border-radius*/
	-webkit-border-radius: 3px;
	   -moz-border-radius: 3px;
			border-radius: 3px;
	/*box-shadow*/
	-webkit-box-shadow: 0 0 2px rgba(0,0,0,.5);
	   -moz-box-shadow: 0 0 2px rgba(0,0,0,.5);
			box-shadow: 0 0 2px rgba(0,0,0,.5);
}

.social ul li a:hover span,
.social ul li a:focus span {
	opacity: 1;
	/*transform*/
	-webkit-transform: scale(1) rotateZ(0);
	   -moz-transform: scale(1) rotate(0);
		-ms-transform: scale(1) rotateZ(0);
		 -o-transform: scale(1) rotate(0);
			transform: scale(1) rotateZ(0);
}
.social ul li a span::before {
	content: '';
	position: absolute;
	top: -6px;
	left: 10px;
	width: 0;
	height: 0;
	border-bottom: 6px solid rgba(0,0,0,.9);
	border-left: 6px solid transparent;
	border-right: 6px solid transparent;
}